linphone::XmlRpcRequestListener Class Reference

An object to handle the callbacks for handling the XmlRpcRequest operations. More...

`#include <xml_rpc_request_listener.hh>`

Inheritance diagram for linphone::XmlRpcRequestListener:

## Public Member Functions

virtual LINPHONECXX_PUBLIC void | onResponse (const std::shared_ptr< linphone::XmlRpcRequest > &request)
| Callback used to notify the response to an XML-RPC request.

## Detailed Description

An object to handle the callbacks for handling the XmlRpcRequest operations.

## Member Function Documentation

## onResponse()

virtual LINPHONECXX_PUBLIC void linphone::XmlRpcRequestListener::onResponse | ( | const std::shared_ptr< linphone::XmlRpcRequest > & | request | ) |

inline virtual

Callback used to notify the response to an XML-RPC request.

Parameters

  request | XmlRpcRequest object

The documentation for this class was generated from the following file:

- xml_rpc_request_listener.hh